Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Interface IBinding

All Known Implementing Classes:
  Binding

    public interface IBinding

This interface define a BIRT query binding. The binding defined the script that to be used to calculate the specific data.

Method Summary
`void` | `addAggregateOn(java.lang.String levelName)` Add aggregate on to the binding.
`void` | `addArgument(IBaseExpression expr)` Deprecated.
`void` | `addArgument(java.lang.String name, IBaseExpression expr)` Add a binding argument.
`boolean` | `exportable()` Imply whether the data of this binding should be candidate for data exportation.
`java.util.List` | `getAggregatOns()` Get the aggregate target group(s) of the binding.
`java.lang.String` | `getAggrFunction()` Return the binding aggregation function.
`java.util.List` | `getArguments()` Get the arguments of the binding.
`java.lang.String` | `getBindingName()` Return the name of the binding.
`int` | `getDataType()` Return the target data type of the binding.
`java.lang.String` | `getDisplayName()` Return the display name of the binding.
`IBaseExpression` | `getExpression()` Get the expression of the binding.
`IBaseExpression` | `getFilter()` Return the binding aggregation filter.
`void` | `setAggrFunction(java.lang.String functionName)` Set the binding aggregation function.
`void` | `setDataType(int type)` Set the binding data type.
`void` | `setDisplayName(java.lang.String displayName)` Set the display name of the binding.
`void` | `setExportable(boolean exportable)` Set whether the binding is exportable.
`void` | `setExpression(IBaseExpression expr)` Set the expression of the binding.
`void` | `setFilter(IBaseExpression expr)` Add a binding aggregation filter.

Method Detail

### getBindingName

    java.lang.String getBindingName()
                                    throws org.eclipse.birt.data.engine.core.DataException

  Return the name of the binding.

  Returns:
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### getDataType

    int getDataType()
                    throws org.eclipse.birt.data.engine.core.DataException

  Return the target data type of the binding.

  Returns:
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### setDataType

    void setDataType(int type)
                     throws org.eclipse.birt.data.engine.core.DataException

  Set the binding data type.

  Parameters:
    `type` -
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### getExpression

    IBaseExpression getExpression()
                                  throws org.eclipse.birt.data.engine.core.DataException

  Get the expression of the binding.

  Returns:
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### setExpression

    void setExpression(IBaseExpression expr)
                       throws org.eclipse.birt.data.engine.core.DataException

  Set the expression of the binding.

  Parameters:
    `expr` -
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### getAggregatOns

    java.util.List getAggregatOns()
                                  throws org.eclipse.birt.data.engine.core.DataException

  Get the aggregate target group(s) of the binding. When doing tabular query, the target group name of the aggregation is returned. When doing cube query, the target column/row/page dimension level is returned.

  Returns:
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### addAggregateOn

    void addAggregateOn(java.lang.String levelName)
                        throws org.eclipse.birt.data.engine.core.DataException

  Add aggregate on to the binding.

  Parameters:
    `levelName` -
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### getArguments

    java.util.List getArguments()
                                throws org.eclipse.birt.data.engine.core.DataException

  Get the arguments of the binding. This is only used when the binding is an aggregate binding.

  Returns:
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### exportable

    boolean exportable()
                       throws org.eclipse.birt.data.engine.core.DataException

  Imply whether the data of this binding should be candidate for data exportation.

  Returns:
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### setExportable

    void setExportable(boolean exportable)
                       throws org.eclipse.birt.data.engine.core.DataException

  Set whether the binding is exportable.

  Parameters:
    `exportable` -
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### addArgument

    void addArgument(IBaseExpression expr)
                     throws org.eclipse.birt.data.engine.core.DataException

  Deprecated.

  Parameters:
    `expr` -
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### addArgument

    void addArgument(java.lang.String name,
                     IBaseExpression expr)
                     throws org.eclipse.birt.data.engine.core.DataException

  Add a binding argument.

  Parameters:
    `name` -
    `expr` -
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### setFilter

    void setFilter(IBaseExpression expr)
                   throws org.eclipse.birt.data.engine.core.DataException

  Add a binding aggregation filter.

  Parameters:
    `expr` -
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### getFilter

    IBaseExpression getFilter()
                              throws org.eclipse.birt.data.engine.core.DataException

  Return the binding aggregation filter.

  Returns:
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### getAggrFunction

    java.lang.String getAggrFunction()
                                     throws org.eclipse.birt.data.engine.core.DataException

  Return the binding aggregation function.

  Returns:
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### setAggrFunction

    void setAggrFunction(java.lang.String functionName)
                         throws org.eclipse.birt.data.engine.core.DataException

  Set the binding aggregation function.

  Parameters:
    `functionName` -
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### getDisplayName

    java.lang.String getDisplayName()
                                    throws org.eclipse.birt.data.engine.core.DataException

  Return the display name of the binding.

  Returns:
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### setDisplayName

    void setDisplayName(java.lang.String displayName)
                        throws org.eclipse.birt.data.engine.core.DataException

  Set the display name of the binding.

  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.